Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.criteria
Class Joins

    java.lang.Object
      org.apache.openjpa.persistence.criteria.Joins

    abstract class Joins

extends Object

Implements strongly-typed Join expressions via singular and plural attributes.

Since:
  2.0.0
Author:
  Fay Wang, Pinaki Poddar

Nested Class Summary
`(package private) static class` | `Joins.AbstractCollection<Z,C,E>` Join a plural attribute.
`(package private) static class` | `Joins.Collection<Z,E>` Join a java.util.Collection<E> type attribute.
`(package private) static class` | `Joins.KeyJoin<K,V>` A specialized join via key of a java.util.Map<K,V> attribute.
`(package private) static class` | `Joins.List<Z,E>` Join a java.util.List<E> type attribute.
`(package private) static class` | `Joins.Map<Z,K,V>` Join a java.util.Map<K,V> type attribute.
`(package private) static class` | `Joins.MapEntry<K,V>`
`(package private) static class` | `Joins.MapKey<Z,K>`
`(package private) static class` | `Joins.Set<Z,E>` Join a java.util.Set<E> type attribute.
`(package private) static class` | `Joins.SingularJoin<Z,X>` Join a single-valued attribute.

Constructor Summary
`Joins()`

Method Summary
`(package private) static Join` | `clone(Join join)`
`(package private) static FromImpl` | `getMembers(PathImpl join, List<Members.Member> members, List<JoinType> jts)`
`(package private) static Join<?,?>` | `makeJoin(FromImpl<?,?> from, Members.Member member, JoinType jt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Joins

    Joins()

Method Detail

### clone

    static Join clone(Join join)

### makeJoin

    static Join<?,?> makeJoin(FromImpl<?,?> from,
                              Members.Member member,
                              JoinType jt)

### getMembers

    static FromImpl getMembers(PathImpl join,
                               List<Members.Member> members,
                               List<JoinType> jts)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.